/**
 * @file utils
 * @desc communicate with AJAX
 * 
 * @author Matthieu DELOISON
 * @date since 06 octobre 2007
 * @update 
 *
 *
 * @version 0.1 
 */

/*
	console.debug('I am debug');
    console.info('I am info');
    console.warn('I am a warning');
    console.error('I am an error');
	console.warn('width: %d', res);
*/



// construct of class Utils
function Utils()
{
	/* create listener handler */
	this.myGlobalHandlers = 
	{
		onCreate: function()
		{
			/* delete content of div */
			while ( $('contentbody').childNodes.length>0 )
			  $('contentbody').removeChild( $('contentbody').firstChild );
 
			if (!$('chargement'))
			{
				/*var indicateur = document.createElement('div');
				Element.extend(indicateur);
				indicateur.id = 'chargement';
				indicateur.addClassName('loading');
				indicateur.innerHTML = ' Chargement de la page en cours';
				$('contentbody').appendChild(indicateur);*/
				
				new Insertion.Top('contentbody', '<div class="loading"><img src="http://www.delfiweb.com/images/site/loading_bleu.gif" alt="Loading" align="middle" />Chargement de la page en cours...</div>');
			}
			Element.show('chargement');
		},
			
		onComplete: function()
		{
			if(Ajax.activeRequestCount == 0) Element.hide('chargement');
		}
	};
	Ajax.Responders.register(this.myGlobalHandlers);	
}


// method
Utils.prototype = 
{
	updateBody : function(sWebPage) 
	{
		// this.myGlobalHandlers
			
		/* get the external page */
		new Ajax.Request(sWebPage,
		{ 
			method: 'POST',
			parameters: 
			{
				come: 'true'
			},
			onSuccess: function(res)
			{
				Element.setStyle('contentbody',{display:'none'});
				$('contentbody').innerHTML = res.responseText;
				Effect.BlindDown('contentbody', {duration:3}); // {delay:10, duration:8} // Make the transion longer by adding options.
				
				/* execute code javascript */
				var sCodeJavascript = $('contentbody').getElementsByTagName("script");
				for (var i = 0; i < sCodeJavascript.length; i++) 
				{ 
					var contentScript = sCodeJavascript[i];
					if (contentScript.src && contentScript.src != "") z = 1;
					else window.eval(contentScript.innerHTML);
				}
			},
			onFailure: function()
			{
				$('contentbody').innerHTML = "Erreur lors du chargement de la page!";
			}
		});
	}

}